{config, lib, modulesPath, ...}: {
  imports = [
    ../options.nix
    (modulesPath + "/profiles/qemu-guest.nix")
  ];

  vmGuest = true;

  boot = {
    kernelModules = [ "kvm-intel" ];
    initrd.availableKernelModules = [ "virtio_pci" "ahci" "xhci_pci" "sr_mod" "virtio_blk" ];
  };

  networking.useDHCP = lib.mkDefault true;
  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";

  fileSystems."/" =
    { device = "/dev/disk/by-uuid/723e4a6a-97b9-49ff-999f-806b12ea26b6";
      fsType = "ext4";
    };

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/15E6-98FA";
      fsType = "vfat";
      options = [ "fmask=0077" "dmask=0077" ];
    };

  swapDevices = [ ];
}
